display globecoordinate also when precision does not match predefined precisions
Closed, ResolvedPublic


The value does not comply with the property's definition.
The value's data value type "ununserializable" does not match the property's data type's data value type "globecoordinate".


Version: master
Severity: critical
Whiteboard: u=dev c=frontend p=8 s=2014-05-20
See Also:

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz64887.
thiemowmde created this task.Via LegacyMay 5 2014, 12:46 PM
thiemowmde added a comment.Via ConduitMay 5 2014, 12:49 PM

Additional info:

Language is set to en.

It's a JavaScript issue. PHP displays: 47°12'36.72"N, 1°33'53.208"W

Not a browser issue. Can reproduce in all browsers.

thiemowmde added a comment.Via ConduitMay 6 2014, 2:29 PM

On other random encounter:

Der Wert entspricht nicht der Eigenschaftsdefinition.
Der Wertedatenwertetyp „ununserializable” stimmt nicht mit dem Datentypdatenwertetyp „globecoordinate” der Eigenschaft überein.


Snaterlicious added a comment.Via ConduitMay 13 2014, 12:05 PM

That might be related to the detected precision being invalid / not one of the defined, fixed precisions; See isValidPrecision() and GlobeCoordinate.PRECISIONS in globeCoordinate.GlobeCoordinate.js of DataValuesJavaScript. The related question is whether to allow any kind of precision in general (which was not the original intention).

Lydia_Pintscher added a comment.Via ConduitMay 13 2014, 12:30 PM
  • Bug 62105 has been marked as a duplicate of this bug. ***
Multichill added a comment.Via ConduitMay 16 2014, 3:58 PM

We talked about this on the hackathon. These fixed fields probably got in because these are used in the javascript interface to select the precision. This precision is in degrees. The data I'm importing is using dimension (in meters) converted to precision (in degrees).

Maybe the slider can be changed that it offers both in the same sequence? You have to calculate it on the fly based on the coordinates, but that shouldn't be too hard.

Add Comment